AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
License: GPL-3.0-only
SourceCode: https://github.com/LithiumSR/openstud_client
IssueTracker: https://github.com/LithiumSR/openstud_client/issues

AutoName: OpenStud

RepoType: git
Repo: https://github.com/LithiumSR/openstud_client.git

Builds:
  - versionName: 1.25.5
    versionCode: 161
    commit: 1.25.5
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.25.6
    versionCode: 162
    commit: 1.25.6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.25.8
    versionCode: 164
    commit: 1.25.8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.25.9
    versionCode: 165
    commit: 1.25.9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.26.0
    versionCode: 166
    commit: 1.26.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.26.4
    versionCode: 171
    commit: 1.26.4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

  - versionName: 1.27.0
    versionCode: 172
    commit: 1.27.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y gawk
    gradle:
      - foss
    prebuild:
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        build.gradle > build.tmp
      - mv build.tmp build.gradle
      - gawk 'd==0{m=0} /isGooglePlayFlavor()/{m=1} m==1&&/{/{d++} d==0{print} m==1&&/}/{d--}'
        ../build.gradle > ../build.tmp
      - mv ../build.tmp ../build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.27.0
CurrentVersionCode: 172
